Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6DeployWar

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.mortbay.jetty.plugin.AbstractJettyMojo
              org.mortbay.jetty.plugin.AbstractJetty6Mojo
                  org.mortbay.jetty.plugin.Jetty6RunWar
                      org.mortbay.jetty.plugin.Jetty6DeployWar

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class Jetty6DeployWar

extends Jetty6RunWar

This goal is used to run Jetty with a pre-assembled war.

It accepts exactly the same options as the run-war goal. However, it doesn't assume that the current artifact is a webapp and doesn't try to assemble it into a war before its execution. So using it makes sense only when used in conjunction with the webApp configuration parameter pointing to a pre-built WAR.

This goal is useful e.g. for launching a web app in Jetty as a target for unit-tested HTTP client components.

Field Summary

Fields inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`consoleScanner, contextPath, daemon, jettyConfig, overrideWebXml, PORT_SYSPROPERTY, project, reload, scanIntervalSeconds, scanList, scanner, scannerListeners, server, skip, stopKey, stopPort, systemProperties, systemPropertiesFile, tmpDirectory, webAppConfig, webDefaultXml`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`Jetty6DeployWar()`

Method Summary

Methods inherited from class org.mortbay.jetty.plugin.Jetty6RunWar
`checkPomConfiguration, configureScanner, configureWebApplication, execute, finishConfigurationBeforeStart, restartWebApp`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJetty6Mojo
`applyJettyXml, createServer, getConfiguredConnectors, getConfiguredRequestLog, getConfiguredUserRealms`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`findJettyWebXmlFile, getContextPath, getJettyXmlFile, getOverrideWebXml, getProject, getScanIntervalSeconds, getScanList, getScanner, getScannerListeners, getServer, getSystemPropertiesFile, getTmpDirectory, getWebDefaultXml, setScanList, setScannerListeners, setServer, setSystemProperties, setSystemPropertiesFile, startConsoleScanner, startJetty`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jetty6DeployWar

    public Jetty6DeployWar()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.